This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 869721 - Resources with availability scan disabled can trick user into thinking they are UP when they might be DOWN
Resources with availability scan disabled can trick user into thinking they a...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
4.4
All All
unspecified Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 869451
  Show dependency treegraph
 
Reported: 2012-10-24 11:48 EDT by Larry O'Leary
Modified: 2014-10-13 07:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 869451
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-10-24 11:48:12 EDT
+++ This bug was initially created as a clone of JBoss ON Bug #869451 +++

Description of problem:
A managed resource is shutdown yet the agent continues to report the resource as up. 

This is due to the *Availability* schedule being disabled for the impacted resource. (<resource> > Monitoring > Schedules >> Availability = Not Enabled). In this case, the resource simply reports UP due to its parent being UP. From the user's point-of-view, there is no easy way to determine that a resource has its availability scheduled disabled when looking at the resource's current availability state or its availability history.

Version-Release number of selected component (if applicable):
4.4.0.JON310GA

How reproducible:
Always

Steps to Reproduce:
1. Start an EAP 5 server
2. Import EAP server into inventory
3. Disable its Availability Schedule (<JBoss AS Server Resource> > Monitoring > Schedules >> Availability)
4. Shutdown the EAP 5 server
5. Force an availability scan

Actual Results:
EAP server continues to be reported as UP without a change in availability history

Expected Results:
EAP server should be reported with an availability of DISABLED or UNKNOWN to indicate that we really don't know or are not tracking its availability history or current availability state.

Additional Info:
From a user's perspective, a DOWN resource is incorrectly marked as UP.

Although in this case, the reason for the false UP is due to the availability scan for the impacted resource being disabled, this brings up a very real concern regarding usability. Perhaps there should be a clear indication that availability is not being checked for a resource and that one should defer to the resource's parent or some other manual process to check to see if the resource is up. Basically, showing a resource as UP just because its parent is can be very misleading. Perhaps this might make sense in situations where the resource is expected to be up due to the shear nature of its parent being up and its relationship to its parent but this is not always the case. 

In this instance, we are showing a JBoss AS Server resource as UP because its parent Linux Platform resource is UP. This might be what the user who disabled the availability wanted but what about the other users who think something is wrong with the RHQ server or agent due to the false UP state without the knowledge that another user has disabled the availability check altogether.

There must be another solution that is clear to the user who sets the availability scan interval or disables availability altogether and to the users who aren't aware of the availability metric and its current state. For example, we have the UNKNOWN availability type to describe a situation when we just don't know what the availability is for a resource. Perhaps this falls into the category? However, perhaps not? Maybe its a special category all its own described with an availability type of DISABLED, perhaps indicated with an availability icon and availability history to reflect the same. Perhaps when the parent is UP, the resource reflects this DISABLED or UNKNOWN state but when the parent is explicitly DOWN, this resource is marked DOWN?

Note You need to log in before you can comment on or make changes to this bug.